USE [Database Name]
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[SoSqlCpgData](
	--Cl technique
	[LOG_ID] [bigint] IDENTITY(1,1) NOT NULL,
	--ID du BO (Client)
	[BO_ID] [int] NOT NULL,
	[COOKIES_ID] [bigint] NULL,
	[MD5_ID] [bigint] NULL,
	[PID_ID] [int] NULL,
	[CID_ID] [int] NULL,
	[LOG_CREATIONDATE] [datetime] NOT NULL,
	--Date relle de la donne
	[LOG_EXTDATE] [date] NOT NULL,
	[MD5Type_ID] [int] NULL
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[SoSqlCpgData] ADD  DEFAULT (getdate()) FOR [LOG_CREATIONDATE]
GO
--PK CLUSTER composite
ALTER TABLE [dbo].[SoSqlCpgData] ADD  CONSTRAINT [PK_dbo.SoSqlCpgData] PRIMARY KEY CLUSTERED 
(
	[LOG_ID] ASC,
	[LOG_EXTDATE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF)
GO
CREATE NONCLUSTERED INDEX [IDX_MD5_ID] ON [dbo].[SoSqlCpgData]
(
	[MD5_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF)
GO



