USE [Database Name]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[SoSqlCpgData_SwitchOff](
	[LOG_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[BO_ID] [int] NOT NULL,
	[COOKIES_ID] [bigint] NULL,
	[MD5_ID] [bigint] NULL,
	[PID_ID] [int] NULL,
	[CID_ID] [int] NULL,
	[LOG_CREATIONDATE] [datetime] NOT NULL,
	[LOG_EXTDATE] [date] NOT NULL,
	[MD5Type_ID] [int] NULL,
 CONSTRAINT [PK_dbo.SoSqlCpgData_SwitchOff] PRIMARY KEY CLUSTERED 
(
	[LOG_ID] ASC,
	[LOG_EXTDATE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF, DATA_COMPRESSION = PAGE) ON [ps_SoSqlLogDataByDays]([LOG_EXTDATE])
) ON [ps_SoSqlLogDataByDays]([LOG_EXTDATE])
GO
ALTER TABLE [dbo].[SoSqlCpgData_SwitchOff] ADD  DEFAULT (getdate()) FOR [LOG_CREATIONDATE]
GO
ALTER TABLE [dbo].[SoSqlCpgData_SwitchOff] ADD  DEFAULT (getdate()) FOR [LOG_EXTDATE]
GO
CREATE NONCLUSTERED INDEX [IDX_MD5_ID] ON [dbo].[SoSqlCpgData_SwitchOff]
(
	[MD5_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF, DATA_COMPRESSION = PAGE)
ON [ps_SoSqlLogDataByDays]([LOG_EXTDATE])
GO



